| Kea 3.0.2-git

host_mgr.h File Reference
`#include <asiolink/io_service.h>`
`#include <database/database_connection.h>`
`#include <dhcpsrv/base_host_data_source.h>`
`#include <dhcpsrv/cache_host_data_source.h>`
`#include <dhcpsrv/host.h>`
`#include <dhcpsrv/subnet_id.h>`
`#include <boost/noncopyable.hpp>`
`#include <boost/scoped_ptr.hpp>`
`#include <string>`
`#include <cstdint>`
Include dependency graph for host_mgr.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::HostMgr
| Host Manager. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Enumerations
enum | isc::dhcp::HostMgrOperationTarget { isc::dhcp::UNSPECIFIED_SOURCE = 0 , isc::dhcp::PRIMARY_SOURCE = 1 , isc::dhcp::ALTERNATE_SOURCES = 2 , isc::dhcp::ALL_SOURCES = 3 }